#if !defined(AFX_ANALYZEBOX_H__89BB9502_1EDE_11D1_9DD9_00A0249C7DE2__INCLUDED_)
#define AFX_ANALYZEBOX_H__89BB9502_1EDE_11D1_9DD9_00A0249C7DE2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// AnalyzeBox.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// AnalyzeBox dialog

class AnalyzeBox : public CDialog
{
// Construction
public:
	AnalyzeBox(CWnd* pParent = NULL);   // standard constructor

	void AddString(CString message);
	void SetTopIndex(int index);

// Dialog Data
	//{{AFX_DATA(AnalyzeBox)
	enum { IDD = IDD_MESSAGE_BOX };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(AnalyzeBox)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(AnalyzeBox)
	afx_msg void OnClose();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ANALYZEBOX_H__89BB9502_1EDE_11D1_9DD9_00A0249C7DE2__INCLUDED_)
